Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface SpecificationLinkBranchType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SpecificationLinkBranchTypeImpl

    public interface SpecificationLinkBranchType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Specification Link Branch Type'.

The following features are supported:

- `Specification Link Filter`
- `Registry Object Query`
- `Registry Entry Query`

See Also:
  `QueryPackage.getSpecificationLinkBranchType()`

Method Summary
`RegistryEntryQueryType` | `getRegistryEntryQuery()` Returns the value of the 'Registry Entry Query' containment reference.
`RegistryObjectQueryType` | `getRegistryObjectQuery()` Returns the value of the 'Registry Object Query' containment reference.
`FilterType` | `getSpecificationLinkFilter()` Returns the value of the 'Specification Link Filter' containment reference.
`void` | `setRegistryEntryQuery(RegistryEntryQueryType value)` Sets the value of the '`Registry Entry Query`' containment reference.
`void` | `setRegistryObjectQuery(RegistryObjectQueryType value)` Sets the value of the '`Registry Object Query`' containment reference.
`void` | `setSpecificationLinkFilter(FilterType value)` Sets the value of the '`Specification Link Filter`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSpecificationLinkFilter

    FilterType getSpecificationLinkFilter()

  Returns the value of the 'Specification Link Filter' containment reference.

  If the meaning of the 'Specification Link Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Link Filter' containment reference.
  See Also:
    `setSpecificationLinkFilter(FilterType)`, `QueryPackage.getSpecificationLinkBranchType_SpecificationLinkFilter()`

### setSpecificationLinkFilter

    void setSpecificationLinkFilter(FilterType value)

  Sets the value of the '`Specification Link Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Specification Link Filter' containment reference.
  See Also:
    `getSpecificationLinkFilter()`

### getRegistryObjectQuery

    RegistryObjectQueryType getRegistryObjectQuery()

  Returns the value of the 'Registry Object Query' containment reference.

  If the meaning of the 'Registry Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object Query' containment reference.
  See Also:
    `setRegistryObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getSpecificationLinkBranchType_RegistryObjectQuery()`

### setRegistryObjectQuery

    void setRegistryObjectQuery(RegistryObjectQueryType value)

  Sets the value of the '`Registry Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object Query' containment reference.
  See Also:
    `getRegistryObjectQuery()`

### getRegistryEntryQuery

    RegistryEntryQueryType getRegistryEntryQuery()

  Returns the value of the 'Registry Entry Query' containment reference.

  If the meaning of the 'Registry Entry Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry Query' containment reference.
  See Also:
    `setRegistryEntryQuery(RegistryEntryQueryType)`, `QueryPackage.getSpecificationLinkBranchType_RegistryEntryQuery()`

### setRegistryEntryQuery

    void setRegistryEntryQuery(RegistryEntryQueryType value)

  Sets the value of the '`Registry Entry Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Entry Query' containment reference.
  See Also:
    `getRegistryEntryQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD